Homepage of Period04

  • Period04 is a computer program especially dedicated to the statistical analysis of large astronomical time series containing gaps. The program offers tools to extract the individual frequencies from the multiperiodic content of time series and provides a flexible interface to perform multiple-frequency fits.

  • Latest news:
    --- 2010-11-24: Period04 v1.2.0 has been released.
    This version provides some new features:

    - Period04 now supports the SAMP communication protocol to provide interoperability with other applications of the Virtual Observatory
    - optional check for combination frequencies
    - possibility to use batch files for simple predefined tasks.
    - bugfixes and more
    Please have a look at the Changelog for details.

    --- 2008-11-11: Period04 v1.1.1 has been released.
    This version provides some new features: - interoperability with other applications of the Virtual Observatory
    - support for triple combination frequencies
    - increased usability for SNR computations of peaks in Fourier spectra
    - and more
    Please have a look at the Changelog for details.

  • Reference:
    The package has been published in 'Communications in Asteroseismology':
    Lenz P., Breger M. 2005, CoAst, 146, 53

  • Questions, suggestions or complaints?
    Please contact: Patrick Lenz

Features

Requirements

  • Period04 is a Java/C++ hybrid program. Therefore, to run the program a Java Runtime Environment (JRE) is needed. The JRE is already preinstalled on every Mac OS X System.

    Windows and Linux users have two options:

    • - Download the Period04 package which includes the most recent Java Runtime Environment. No separate Java installation is required.

    • - Use a JRE that is available on your system. To do so open a shell or a command prompt and type 'java -version'. If the command is not found Java is not properly installed. In this case you have to download it from java.sun.com/getjava (it's free). If a JRE is found, please check the version number. The Period04 binaries work with all versions from 1.6.


Downloads

    last update: today